## Einrichtung Debian für Crypto-Mining

### Debian per Netinstall-Stick installieren
- Nutzername "miner"
- Ohne GUI
- Ohne "Essential packages"
- Mit SSH-Server
- BIOS: Secure Boot deaktivieren (für MSR-Mod)

### Housekeeping
```
su
apt update
apt upgrade -y
apt install sudo
/sbin/adduser miner sudo
/sbin/shutown -r now
```

Optional: Statischer DNS-Server an Pi-Hole vorbei

### Sudo ohne Password
```
sudo visudo
```

Ganz unten einfügen:
```
<username> ALL=(ALL) NOPASSWD: ALL
```

### Message of the day
```
sudo nano/etc/motd
```

\<ASCII-Art von Hostname\>

### Abhängigkeiten installieren
```
sudo apt install lm-sensors screenfetch screen net-tools cmake git build-essential libssl-dev libuv1-dev libhwloc-dev
sudo sensors-detect
```

### XMRig (oder XMRig-MO) klonen
```
git clone https://github.com/xmrig/xmrig.git
git clone https://github.com/MoneroOcean/xmrig.git xmrig-mo
```

### XMRig bauen
```
cd xmrig
mkdir build
cd build
cmake .. && make -j${nproc}
```

### Start-Skript erstellen

```
cd ../scripts/
touch start.sh
chmod +x start.sh
nano start.sh
```

#### start.sh

```
#!/bin/bash
sudo /home/miner/xmrig/build/xmrig -c /home/miner/xmrig/src/config.json
```
Inhalt der Config-Datei von anderen Minern kopieren

### XMRig bei Neustart ausführen

```
crontab -e
```

@reboot /usr/bin/screen -dmS monero /home/miner/xmrig/scripts/start.sh

### XMRig manuell in neuen screen ausführen
```
screen -S monero
cd /home/miner/xmrig/scripts
sudo ./start.sh
Ctrl+A, D
```
